Skip to main content
GET
/
v0
/
billingSchedules
/
{id}
Get a billing schedule
curl --request GET \
  --url https://api.paygentic.io/v0/billingSchedules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "object": "billing_schedule",
  "merchantId": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "billingAnchor": "2023-11-07T05:31:56Z",
  "customPeriodWindows": [
    "<unknown>"
  ],
  "metadata": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "orderId": "<string>",
  "subscriptionId": "<string>",
  "paymentTermDays": 123,
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

Response

BillingSchedule

id
string
required
object
enum<string>
required
Available options:
billing_schedule
merchantId
string
required
status
enum<string>
required
Available options:
draft,
active,
completed,
cancelled
startDate
string<date-time>
required
endDate
string<date-time>
required
billingAnchor
string<date-time>
required
alignmentPolicy
enum<string>
required
Available options:
anchor,
calendar,
coterm
prorationPolicy
enum<string>
required
Available options:
none,
daily
periodPreset
enum<string>
required
Available options:
single,
P1M,
P3M,
P6M,
P1Y,
custom
customPeriodWindows
any[]
required
metadata
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
orderId
string | null
subscriptionId
string | null
paymentTermDays
integer | null
deletedAt
string<date-time> | null